+ Antworten
Ergebnis 1 bis 9 von 9
  1. #1
    Registriert seit
    Dec 2006
    Ort
    78056 Villingen-Schwenningen
    Beiträge
    211

    Standard Symcon 5 Update-Problem innerhalb der Version 5

    Hallo,
    ich bekomme seit Wochen auf einem meiner Server Symcon nicht auf die aktuelle Version hoch gezogen....
    Hat da jemand eine Idee?

    System:
    Welcome to Ubuntu 18.04.1 LTS (GNU/Linux 4.15.0-43-generic x86_64)
    1 Software-Paket kann aktualisiert werden.
    0 Aktualisierungen sind Sicherheitsaktualisierungen.

    echo IPS_GetKernelVersion (); liefert 5.0


    root@dv-symcon:~# apt dist-upgrade
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut.
    Statusinformationen werden eingelesen.... Fertig
    Paketaktualisierung (Upgrade) wird berechnet... Fertig
    Die folgenden Pakete werden aktualisiert (Upgrade):
    symcon
    1 aktualisiert, 0 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
    Es müssen noch 0 B von 22,2 MB an Archiven heruntergeladen werden.
    Nach dieser Operation werden 0 B Plattenplatz zusätzlich benutzt.
    Möchten Sie fortfahren? [J/n] j
    (Lese Datenbank ... 103984 Dateien und Verzeichnisse sind derzeit installiert.)
    Vorbereitung zum Entpacken von .../symcon_5.0-2703_amd64.deb ...
    IP-Symcon is running.
    Stopping...
    IP-Symcon stopped
    IP-Symcon:
    000
    Press any key to continue...
    Fortschritt: [ 17%] [###############................................... ...........................................]
    dpkg: Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/symcon_5.0-2703_amd64.deb (--unpack):
    new symcon package pre-installation script subprocess returned error exit status 1
    IP-Symcon is not running.
    Starting...
    IP-Symcon started with PID 20269
    Fehler traten auf beim Bearbeiten von:
    /var/cache/apt/archives/symcon_5.0-2703_amd64.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)
    root@dv-symcon:~#
    -------------------------------

    md5sum symcon_5.0-2703_amd64.deb
    071a66477427a8f107b08eefb23e620a symcon_5.0-2703_amd64.deb


    root@dv-symcon:/# df -h
    Filesystem Size Used Avail Use% Mounted on
    udev 1,5G 0 1,5G 0% /dev
    tmpfs 301M 1,1M 300M 1% /run
    /dev/sda2 16G 6,2G 8,8G 42% /
    tmpfs 1,5G 0 1,5G 0% /dev/shm
    tmpfs 5,0M 0 5,0M 0% /run/lock
    tmpfs 1,5G 0 1,5G 0% /sys/fs/cgroup
    /dev/loop0 87M 87M 0 100% /snap/core/4486
    tmpfs 301M 0 301M 0% /run/user/0

  2. #2
    Registriert seit
    Feb 2005
    Ort
    Lübeck
    Beiträge
    21,460

    Lösch mal die Datei:

    Code:
    rm  /var/cache/apt/archives/symcon_5.0-2703_amd64.deb
    Evtl. wurde die nicht sauber runtergeladen?

    paresy

  3. #3
    Registriert seit
    Dec 2006
    Ort
    78056 Villingen-Schwenningen
    Beiträge
    211

    Schon ein paar mal versucht....

    Deshalb hatte ich mal meine MD5 gepostet: 071a66477427a8f107b08eefb23e620a symcon_5.0-2703_amd64.deb
    Gerade habe ich die Datei mit apt download symcon nochmal auf einem anderen Rechner herunter geladen.
    Selbe Prüfsumme, an der Datei sollte es also nicht liegen....
    Geändert von juergen852 (29.01.19 um 19:48 Uhr)

  4. #4
    Registriert seit
    Jan 2012
    Beiträge
    50

    Hallo,

    gab res hierzu schon eine Lösung?
    Habe nun das gleich Problem unter Ubuntu (18.04.2 LTS ) mit der letzten Version:
    Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/symcon_5.0-2705_amd64.deb
    Vorbereitung zum Entpacken von .../symcon_5.0-2705_amd64.deb ...
    IP-Symcon is running.
    Stopping...
    IP-Symcon stopped
    IP-Symcon:
    000
    Press any key to continue...
    dpkg: Fehler beim Bearbeiten des Archivs /var/cache/apt/archives/symcon_5.0-2705_amd64.deb (--unpack):
    Unterprozess neues symcon-Skript des Paketes pre-installation gab den Fehler-Ausgangsstatus 1 zurück


    Danke und viele Grüße

  5. #5
    Registriert seit
    Jan 2012
    Beiträge
    50

    Hat jemand zu dem Problem eine Idee?

    Selbes Problem tritt ebenfalls auf bei dem Versuch auf die aktuelle
    Testing Version zu aktualisieren.

  6. #6
    Registriert seit
    Feb 2005
    Ort
    Lübeck
    Beiträge
    21,460

    Ich befürchte, dass irgendwas in deinem Ubuntu System kaputt ist. Der einfachste Weg wird wahrscheinlich ein Backup und Restore mit frischem Ubuntu sein.

    paresy

  7. #7
    Registriert seit
    Dec 2006
    Ort
    78056 Villingen-Schwenningen
    Beiträge
    211

    Ich hatte dann der Einfachheit halber auch neu installiert.

    Da moschi aber nochmal nachgefragt hatte, habe ich bei meiner neuen Installation mal von stable auf testing gewechselt und dann noch mal aktualisiert.
    ---> Selber Fehler wieder da.

    Nach einigem testen mit meinen beiden symcons:
    Die DEB-Pakete haben, (soweit apt download funktioniert) die selben prüfsummen, die Firewall sollte beim Scannen also nichts verändert haben.

    Symcon kann nach einer DEinstallation nicht wieder installiert werden.

    apt purge symcon, löschen aller symcon-Verzeichnisse, apt install symcon:


    root@dv-symcon_0602:~# apt install symcon
    Paketlisten werden gelesen... Fertig
    Abhängigkeitsbaum wird aufgebaut.
    Statusinformationen werden eingelesen.... Fertig
    Die folgenden zusätzlichen Pakete werden installiert:
    avahi-daemon libavahi-client3 libavahi-common-data libavahi-common3 libavahi-compat-libdnssd1 libavahi-core7
    libboost-date-time1.65.1 libboost-filesystem1.65.1 libboost-system1.65.1 libdaemon0 libgit2-26 libgmpxx4ldbl
    libhttp-parser2.7.1 libjpeg-turbo8 libjpeg8 libmcrypt4 libnss-mdns libsodium23
    Vorgeschlagene Pakete:
    avahi-autoipd libmcrypt-dev mcrypt avahi-autoipd | zeroconf
    Die folgenden NEUEN Pakete werden installiert:
    avahi-daemon libavahi-client3 libavahi-common-data libavahi-common3 libavahi-compat-libdnssd1 libavahi-core7
    libboost-date-time1.65.1 libboost-filesystem1.65.1 libboost-system1.65.1 libdaemon0 libgit2-26 libgmpxx4ldbl
    libhttp-parser2.7.1 libjpeg-turbo8 libjpeg8 libmcrypt4 libnss-mdns libsodium23 symcon
    0 aktualisiert, 19 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
    Es müssen noch 22,2 MB von 23,2 MB an Archiven heruntergeladen werden.
    Nach dieser Operation werden 3.682 kB Plattenplatz zusätzlich benutzt.
    Möchten Sie fortfahren? [J/n] j
    Holen:1 http://apt.symcon.de beta/ubuntu amd64 symcon amd64 5.0-2705 [22,2 MB]
    Es wurden 22,2 MB in 3 s geholt (6.951 kB/s).
    Vormals nicht ausgewähltes Paket libdaemon0:amd64 wird gewählt.
    (Lese Datenbank ... 102754 Dateien und Verzeichnisse sind derzeit installiert.)
    Vorbereitung zum Entpacken von .../00-libdaemon0_0.14-6_amd64.deb ...
    Entpacken von libdaemon0:amd64 (0.14-6) ...
    Vormals nicht ausgewähltes Paket libjpeg-turbo8:amd64 wird gewählt.
    Vorbereitung zum Entpacken von .../01-libjpeg-turbo8_1.5.2-0ubuntu5.18.04.1_amd64.deb ...
    Entpacken von libjpeg-turbo8:amd64 (1.5.2-0ubuntu5.18.04.1) ...
    Vormals nicht ausgewähltes Paket libavahi-common-data:amd64 wird gewählt.
    Vorbereitung zum Entpacken von .../02-libavahi-common-data_0.7-3.1ubuntu1.2_amd64.deb ...
    Entpacken von libavahi-common-data:amd64 (0.7-3.1ubuntu1.2) ...
    Vormals nicht ausgewähltes Paket libavahi-common3:amd64 wird gewählt.
    Vorbereitung zum Entpacken von .../03-libavahi-common3_0.7-3.1ubuntu1.2_amd64.deb ...
    Entpacken von libavahi-common3:amd64 (0.7-3.1ubuntu1.2) ...
    Vormals nicht ausgewähltes Paket libavahi-core7:amd64 wird gewählt.
    Vorbereitung zum Entpacken von .../04-libavahi-core7_0.7-3.1ubuntu1.2_amd64.deb ...
    Entpacken von libavahi-core7:amd64 (0.7-3.1ubuntu1.2) ...
    Vormals nicht ausgewähltes Paket avahi-daemon wird gewählt.
    Vorbereitung zum Entpacken von .../05-avahi-daemon_0.7-3.1ubuntu1.2_amd64.deb ...
    Entpacken von avahi-daemon (0.7-3.1ubuntu1.2) ...
    Vormals nicht ausgewähltes Paket libavahi-client3:amd64 wird gewählt.
    Vorbereitung zum Entpacken von .../06-libavahi-client3_0.7-3.1ubuntu1.2_amd64.deb ...
    Entpacken von libavahi-client3:amd64 (0.7-3.1ubuntu1.2) ...
    Vormals nicht ausgewähltes Paket libavahi-compat-libdnssd1:amd64 wird gewählt.
    Vorbereitung zum Entpacken von .../07-libavahi-compat-libdnssd1_0.7-3.1ubuntu1.2_amd64.deb ...
    Entpacken von libavahi-compat-libdnssd1:amd64 (0.7-3.1ubuntu1.2) ...
    Vormals nicht ausgewähltes Paket libboost-date-time1.65.1:amd64 wird gewählt.
    Vorbereitung zum Entpacken von .../08-libboost-date-time1.65.1_1.65.1+dfsg-0ubuntu5_amd64.deb ...
    Entpacken von libboost-date-time1.65.1:amd64 (1.65.1+dfsg-0ubuntu5) ...
    Vormals nicht ausgewähltes Paket libboost-system1.65.1:amd64 wird gewählt.
    Vorbereitung zum Entpacken von .../09-libboost-system1.65.1_1.65.1+dfsg-0ubuntu5_amd64.deb ...
    Entpacken von libboost-system1.65.1:amd64 (1.65.1+dfsg-0ubuntu5) ...
    Vormals nicht ausgewähltes Paket libboost-filesystem1.65.1:amd64 wird gewählt.
    Vorbereitung zum Entpacken von .../10-libboost-filesystem1.65.1_1.65.1+dfsg-0ubuntu5_amd64.deb ...
    Entpacken von libboost-filesystem1.65.1:amd64 (1.65.1+dfsg-0ubuntu5) ...
    Vormals nicht ausgewähltes Paket libgmpxx4ldbl:amd64 wird gewählt.
    Vorbereitung zum Entpacken von .../11-libgmpxx4ldbl_2%3a6.1.2+dfsg-2_amd64.deb ...
    Entpacken von libgmpxx4ldbl:amd64 (2:6.1.2+dfsg-2) ...
    Vormals nicht ausgewähltes Paket libjpeg8:amd64 wird gewählt.
    Vorbereitung zum Entpacken von .../12-libjpeg8_8c-2ubuntu8_amd64.deb ...
    Entpacken von libjpeg8:amd64 (8c-2ubuntu8) ...
    Vormals nicht ausgewähltes Paket libmcrypt4 wird gewählt.
    Vorbereitung zum Entpacken von .../13-libmcrypt4_2.5.8-3.3_amd64.deb ...
    Entpacken von libmcrypt4 (2.5.8-3.3) ...
    Vormals nicht ausgewähltes Paket libnss-mdns:amd64 wird gewählt.
    Vorbereitung zum Entpacken von .../14-libnss-mdns_0.10-8ubuntu1_amd64.deb ...
    Entpacken von libnss-mdns:amd64 (0.10-8ubuntu1) ...
    Vormals nicht ausgewähltes Paket libsodium23:amd64 wird gewählt.
    Vorbereitung zum Entpacken von .../15-libsodium23_1.0.16-2_amd64.deb ...
    Entpacken von libsodium23:amd64 (1.0.16-2) ...
    Vormals nicht ausgewähltes Paket libhttp-parser2.7.1:amd64 wird gewählt.
    Vorbereitung zum Entpacken von .../16-libhttp-parser2.7.1_2.7.1-2_amd64.deb ...
    Entpacken von libhttp-parser2.7.1:amd64 (2.7.1-2) ...
    Vormals nicht ausgewähltes Paket libgit2-26:amd64 wird gewählt.
    Vorbereitung zum Entpacken von .../17-libgit2-26_0.26.0+dfsg.1-1.1ubuntu0.2_amd64.deb ...
    Entpacken von libgit2-26:amd64 (0.26.0+dfsg.1-1.1ubuntu0.2) ...
    Vorbereitung zum Entpacken von .../18-symcon_5.0-2705_amd64.deb ...
    IP-Symcon:
    000
    Press any key to continue...
    dpkg: Fehler beim Bearbeiten des Archivs /tmp/apt-dpkg-install-Befzj3/18-symcon_5.0-2705_amd64.deb (--unpack):
    new symcon package pre-installation script subprocess returned error exit status 1
    Fehler traten auf beim Bearbeiten von:
    /tmp/apt-dpkg-install-Befzj3/18-symcon_5.0-2705_amd64.deb


    E: Sub-process /usr/bin/dpkg returned an error code (1)
    W: Operation wurde unterbrochen, bevor sie beendet werden konnte.
    root@dv-symcon_0602:~#
    root@dv-symcon_0602:~#
    Geändert von juergen852 (06.04.19 um 12:15 Uhr)

  8. #8
    Registriert seit
    Jan 2012
    Beiträge
    50

    Hallo,

    ich kann das Verhalten was Juergen852 beschreibt bestätigen.
    Habe es mit einer VM nachgestellt, mit der neuen Installation von stable auf testing umgestellt -> gleiches Verhalten

    Bei meiner alten "defekten" Installation habe ich eine komplette Deinstallation durchgeführt und war danach nicht mehr in der Lage
    eine erneute Symcon Installation durchzuführen.

    Momentan läuft wieder alles mit einer kompletten Ubuntu Neuinstallation und symcon auf stable.

    VG

  9. #9
    Registriert seit
    Jun 2011
    Beiträge
    506

    Na klasse .... den Fehler habe ich jetzt auch ... keiner ne Loesung gefunden oder ?
    Professional

Ähnliche Themen

  1. symcon 4.4 update 32bit version? / Kein Tray Icon
    Von PeterChrisben im Forum Allgemeine Diskussion
    Antworten: 16
    Letzter Beitrag: 24.01.19, 19:09
  2. Fehler beim Update der Konsole auf Version 4.2
    Von obi235 im Forum Allgemeine Diskussion
    Antworten: 2
    Letzter Beitrag: 22.04.17, 09:42
  3. Homematic Socket Problem in der aktuellen Version
    Von cyberganny im Forum Allgemeine Diskussion
    Antworten: 5
    Letzter Beitrag: 22.01.17, 15:11
  4. Antworten: 7
    Letzter Beitrag: 21.09.15, 17:55
  5. Tiefe der anzeige innerhalb von instancen...
    Von korny im Forum WebFront
    Antworten: 3
    Letzter Beitrag: 12.11.14, 19:44